<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    android:layout_width="match_parent"
    android:layout_height="wrap_content"
    android:layoutDirection="ltr"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools">

    <View
        android:id="@+id/view"
        android:layout_width="match_parent"
        android:layout_height="0dp"
        app:layout_constraintDimensionRatio="h,360:275"
        app:layout_constraintTop_toTopOf="parent" />

    <ImageView
        android:id="@+id/ivSelfPKResult"
        android:layout_marginStart="8dp"
        android:layout_marginTop="8dp"
        android:visibility="invisible"
        tools:visibility="visible"
        app:layout_constraintStart_toStartOf="@+id/view"
        app:layout_constraintTop_toTopOf="@+id/view"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"/>


    <ImageView
        android:id="@+id/ivPeerPKResult"
        android:layout_marginEnd="8dp"
        android:layout_marginTop="8dp"
        android:visibility="invisible"
        tools:visibility="visible"
        app:layout_constraintEnd_toEndOf="@+id/view"
        app:layout_constraintTop_toTopOf="@+id/view"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"/>

    <com.opensource.svgaplayer.SVGAImageView
        app:layout_constraintStart_toStartOf="@+id/view"
        app:layout_constraintTop_toTopOf="@+id/view"
        app:layout_constraintEnd_toEndOf="@+id/view"
        app:layout_constraintBottom_toBottomOf="@+id/view"
        android:id="@+id/svgPKResult"
        android:visibility="gone"
        android:layout_width="320dp"
        android:layout_height="192dp"/>

    <androidx.constraintlayout.widget.ConstraintLayout
        android:id="@+id/clPeer"
        app:layout_constraintBottom_toBottomOf="@+id/view"
        app:layout_constraintEnd_toEndOf="@+id/view"
        android:layout_marginEnd="8dp"
        android:background="@drawable/shape_26fffffff_18"
        android:layout_marginBottom="8dp"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content">

        <de.hdodenhof.circleimageview.CircleImageView
            android:id="@+id/ivPeerAvatar"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toTopOf="parent"
            app:layout_constraintBottom_toBottomOf="parent"
            android:layout_margin="2dp"
            tools:src="@mipmap/default_avatar"
            android:layout_width="26dp"
            android:layout_height="26dp"/>

        <com.swago.baseswago.cusview.MediumTextView
            android:id="@+id/tvPeerName"
            android:textSize="12dp"
            android:textColor="#fff"
            tools:text="Swago"
            android:layout_marginStart="4dp"
            android:layout_marginEnd="8dp"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toEndOf="@+id/ivPeerAvatar"
            app:layout_constraintTop_toTopOf="parent"
            android:maxWidth="70dp"
            android:maxLines="1"
            android:layout_width="wrap_content"
            android:layout_height="0dp"/>


        <com.swago.baseswago.cusview.RegularTextView
            android:id="@+id/tvPeerId"
            android:textSize="8dp"
            android:textColor="#fff"
            tools:text="Swago"
            android:layout_marginStart="4dp"
            android:layout_marginEnd="8dp"
            android:layout_marginBottom="2dp"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toEndOf="@+id/ivPeerAvatar"
            app:layout_constraintBottom_toBottomOf="parent"
            android:layout_width="0dp"
            android:layout_height="wrap_content"/>

    </androidx.constraintlayout.widget.ConstraintLayout>


    <ProgressBar
        android:id="@+id/progressBar"
        style="@style/Base.Widget.AppCompat.ProgressBar.Horizontal"
        android:layout_width="match_parent"
        android:layout_height="15dp"
        android:max="100"
        android:progress="50"
        android:progressDrawable="@drawable/pk_progress_style"
       app:layout_constraintTop_toBottomOf="@+id/view"/>

    <TextView
        android:id="@+id/tvSelf"
        android:text="0"
        android:textSize="12dp"
        android:textColor="#fff"
        android:gravity="center_vertical"
        app:layout_constraintTop_toTopOf="@+id/progressBar"
        app:layout_constraintBottom_toBottomOf="@+id/progressBar"
        app:layout_constraintStart_toStartOf="parent"
        android:drawableStart="@mipmap/icon_coin_pk"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"/>


    <TextView
        android:id="@+id/tvPeer"
        android:text="0"
        android:textSize="12dp"
        android:textColor="#fff"
        android:gravity="center_vertical"
        app:layout_constraintBottom_toBottomOf="@+id/progressBar"
        app:layout_constraintTop_toTopOf="@+id/progressBar"
        app:layout_constraintEnd_toEndOf="parent"
        android:drawableEnd="@mipmap/icon_coin_pk"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"/>

    <com.opensource.svgaplayer.SVGAImageView
        app:layout_constraintStart_toStartOf="@+id/progressBar"
        app:layout_constraintTop_toBottomOf="@+id/view"
        android:layout_marginTop="-3dp"
        android:id="@+id/svgProgress"
        android:layout_width="20dp"
        android:layout_height="wrap_content"/>

    <androidx.recyclerview.widget.RecyclerView
        android:id="@+id/rvSelf"
        app:layout_constraintTop_toBottomOf="@+id/progressBar"
        android:layout_marginTop="10dp"
        app:layout_constraintStart_toStartOf="parent"
        android:layout_width="wrap_content"
        android:layout_height="28dp"/>

    <androidx.recyclerview.widget.RecyclerView
        android:id="@+id/rvPeer"
        app:layout_constraintTop_toBottomOf="@+id/progressBar"
        android:layout_marginTop="10dp"
        app:layout_constraintEnd_toEndOf="parent"
        android:layout_width="wrap_content"
        android:layout_height="28dp"/>


    <androidx.constraintlayout.widget.ConstraintLayout
        android:id="@+id/clPKTime"
        android:visibility="invisible"
        tools:visibility="visible"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintTop_toTopOf="@+id/rvSelf"
        app:layout_constraintBottom_toBottomOf="@+id/rvSelf"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content">

        <ImageView
            android:id="@+id/ivPk"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toTopOf="parent"
            app:layout_constraintBottom_toBottomOf="parent"
            android:src="@mipmap/icon_pk_pk"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"/>

        <com.swago.baseswago.cusview.MediumTextView
            android:id="@+id/tvPkTime"
            app:layout_constraintStart_toEndOf="@+id/ivPk"
            app:layout_constraintTop_toTopOf="@+id/ivPk"
            app:layout_constraintBottom_toBottomOf="@+id/ivPk"
            android:textColor="#fff"
            android:textSize="14dp"
            tools:text="00:10"
            android:layout_marginStart="2dp"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"/>

    </androidx.constraintlayout.widget.ConstraintLayout>


    <androidx.constraintlayout.widget.ConstraintLayout
        android:id="@+id/clPunishTime"
        android:visibility="invisible"
        tools:visibility="visible"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintTop_toTopOf="@+id/rvSelf"
        app:layout_constraintBottom_toBottomOf="@+id/rvSelf"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content">

        <com.swago.baseswago.cusview.MediumTextView
            android:id="@+id/tvPunishTitle"
            app:layout_constraintTop_toTopOf="parent"
            app:layout_constraintBottom_toTopOf="@+id/tvPunishTime"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintEnd_toEndOf="parent"
            android:textSize="10dp"
            android:textColor="#fff"
            android:text="Punishment"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"/>

        <com.swago.baseswago.cusview.MediumTextView
            android:id="@+id/tvPunishTime"
            app:layout_constraintTop_toBottomOf="@+id/tvPunishTitle"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintEnd_toEndOf="parent"
            android:textSize="14dp"
            android:textColor="#fff"
            tools:text="00:23"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"/>

    </androidx.constraintlayout.widget.ConstraintLayout>

</androidx.constraintlayout.widget.ConstraintLayout>